package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcWljg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcIdcdwMapper;
import com.ruoyi.tcZz.domain.TcIdcdw;
import com.ruoyi.tcZz.service.ITcIdcdwService;

/**
 *  IDC单位Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcIdcdwServiceImpl implements ITcIdcdwService 
{
    @Autowired
    private TcIdcdwMapper tcIdcdwMapper;

    /**
     * 查询 IDC单位
     * 
     * @param id  IDC单位主键
     * @return  IDC单位
     */
    @Override
    public TcIdcdw selectTcIdcdwById(Long id)
    {
        return tcIdcdwMapper.selectTcIdcdwById(id);
    }

    /**
     * 查询 IDC单位列表
     * 
     * @param tcIdcdw  IDC单位
     * @return  IDC单位
     */
    @Override
    public List<TcIdcdw> selectTcIdcdwList(TcIdcdw tcIdcdw)
    {
        return tcIdcdwMapper.selectTcIdcdwList(tcIdcdw);
    }

    /**
     * 新增 IDC单位
     * 
     * @param tcIdcdw  IDC单位
     * @return 结果
     */
    @Override
    public int insertTcIdcdw(TcIdcdw tcIdcdw)
    {
        tcIdcdw.setCreateTime(DateUtils.getNowDate());
        return tcIdcdwMapper.insertTcIdcdw(tcIdcdw);
    }

    /**
     * 修改 IDC单位
     * 
     * @param tcIdcdw  IDC单位
     * @return 结果
     */
    @Override
    public int updateTcIdcdw(TcIdcdw tcIdcdw)
    {
        tcIdcdw.setUpdateTime(DateUtils.getNowDate());
        return tcIdcdwMapper.updateTcIdcdw(tcIdcdw);
    }

    /**
     * 批量删除 IDC单位
     * 
     * @param ids 需要删除的 IDC单位主键
     * @return 结果
     */
    @Override
    public int deleteTcIdcdwByIds(Long[] ids)
    {
        return tcIdcdwMapper.deleteTcIdcdwByIds(ids);
    }

    /**
     * 删除 IDC单位信息
     * 
     * @param id  IDC单位主键
     * @return 结果
     */
    @Override
    public int deleteTcIdcdwById(Long id)
    {
        return tcIdcdwMapper.deleteTcIdcdwById(id);
    }

    @Override
    public String importUser(List<TcIdcdw> tcIdcdwList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcIdcdwList.isEmpty()) {
            for (TcIdcdw tcIdcdw : tcIdcdwList) {
                tcIdcdwMapper.insertTcIdcdw(tcIdcdw);
            }
            successMsg.append("导入成功");
        }

        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcIdcdwMapper.updateByisStatus(isStatus,ids);
    }
}
